AddCylinder Method

Back to Methods Reference

Creates a 3D solid cylinder whose base is on the XY plane of the WCS.

Signature

VBA : RetVal = object.AddCylinder(Center, Radius, Height)

VLA : RetVal = (vla-AddCylinder Center Radius Height)

(vla-addcylinder mspace pt1 rad hgt)

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.
  • Center : Variant (three-element array of doubles); input-only
    A 3D WCS coordinates specifying the center of the bounding box.
  • Radius : Double; input-only
    The cylinder radius. Must be a positive number.
  • Height : Double; input-only
    The cylinder height. Must be a positive number.
  • RetVal : 3DSolid object
    A 3DSolid object as the newly created cylinder.

Example :


(setq doc (vla-get-activedocument (vlax-get-acad-object)))

(setq mspace (vla-get-modelspace doc))

(setq pt1 (vlax-3d-point (setq pt (getpoint "\nCenter point: "))))

(setq rad (getdist "\nRadius: " pt))

(setq hgt (getdist "\nHeight: " pt))

(vla-addcylinder mspace pt1 rad hgt)

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website